﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Telerik.Windows.Controls;

namespace RadDBListBox
{
    public partial class MainPage : PhoneApplicationPage
    {

        ObservableCollection<string> source = new ObservableCollection<string>();

        // Constructor
        public MainPage()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        public void selChanged(object sender, SelectionChangedEventArgs e)
        {
            MessageBox.Show("Selection Changed");
        }

        public void selChanging(object sender, SelectionChangingEventArgs e)
        {
            MessageBox.Show("Selection Changing");
        }

        public void itemTapped(object sender, ListBoxItemTapEventArgs e)
        {
            MessageBox.Show(radDataBoundListBox.SelectedItem.ToString());
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            //foreach (string devName in DeveloperList())
            //{
            //    source.Add(devName);
            //}

            for (int i = 0; i < 1500; i++)
            {
                source.Add("Developer " + i.ToString());
            }

            this.radDataBoundListBox.ItemsSource = source;
        }
        public void btnRemoveClick(object sender, RoutedEventArgs e)
        {
            this.source.RemoveAt(0);
        }

        public void btnAddClick(object sender, RoutedEventArgs e)
        {
            this.source.Insert(0, "Michael");
        }

        public System.Collections.IEnumerable DeveloperList()
        {
            var lstDevelopers = new ObservableCollection<string>
            { 
               "Michael Crump",
               "Burke Holland",
               "Evan Hutnick",
               "Todd Anglin",
               "Josh Holt",
               "Chris Eargle",
               "John Bristowe",
               "Stephen Forte",
               "Atanas Korchev" 
            };

            return lstDevelopers;
        }
    }
}
